* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

/* header section starts */

/* navbar */
.hero__section {
    background-image: url("./images/heroSectionBackground.png");
    min-height: 60vh;
    background-position: center;
    background-size: cover;
    color: white;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 35px 140px;
    height: 60px;

}

#get-app {
    font-size: 14px;
    font-weight: 400;
}

.navbar a {
    color: white;
    text-decoration: none;

}

.navbar--menu-container {
    display: flex;
    gap: 30px;
    font-size: 18px;
    font-weight: 300;

}

.user-icon {
    height: 30px;
    width: 30px;
    border: 1px solid white;
    justify-content: center;
    align-items: center;
    border-radius: 100%;
    display: none;
}

.hero__section_container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 32px;
    height: calc(60vh - 60px);

}

.hero__section_logo {
    width: 300px;
}

.hero__section_title {
    text-align: center;
    font-size: 30px;
    font-weight: 400;
}


.hero__section_input_container {
    background-color: white;
    width: 50%;
    padding: 10px;
    gap: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
}

.hero__section_input_search,
.hero__section_input_location {
    border: none;
    outline: none;
    padding: 5px;
}

.hero__section_input_location {
    width: 30%;
    border-right: 2px solid #cacaca;
}

.hero__section_input_search {
    width: 70%;
}

.hero__section_container i {
    color: rgb(173, 171, 171);
}

.container {
    margin: 40px auto;
    width: 80%;
}

.we__offer {
    display: flex;
    gap: 16px;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}

.we__offer .card {
    border: 1px solid #e0e0e0;
    border-radius: 10px;
    overflow: hidden;
    transition: all 300ms ease-out;
}

.we__offer img {
    width: 100%;
    height: 150px;
    object-fit: cover;
    object-position: center;

}

.we__offer h2 {
    font-size: 20px;
    font-weight: 400;
    padding: 8px 10px 0px 10px;
}

.we__offer p {
    padding: 0 10px 15px 10px;
    color: #696969;
    font-weight: 300;
}

.we__offer .card:hover {
    transform: scale(1.05);
}

.collection h1 {
    font-size: 35px;
    font-weight: 500;
}

.collection .sub__heading_collection {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
    flex-wrap: wrap;
    font-size: 17px;
}

.sub__heading_collection span:nth-child(2) {
    color: #ff7e8b;
    font-size: 14px;
}

.collection .collection__card_container {
    margin-top: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 10px;


}

.collection__card_container .card {
    height: 300px;
    min-width: 260px;
    background-position: center;
    background-size: cover;
    border-radius: 10px;
    position: relative;

}


.card1 {
    background-image: url("./images/collection1.jpg");
}

.card2 {
    background-image: url("./images/collection2.jpg");
}

.card3 {
    background-image: url("./images/collection3.jpg");
}

.card4 {
    background-image: url("./images/collection4.jpg");
}

.overlay {
    background: linear-gradient(0deg,
            rgba(0, 0, 0, 0.9) 0%,
            rgba(0, 0, 0, 0.05) 50%,
            rgba(0, 0, 0, 0.05) 85%);
    width: 100%;
    height: 100%;
    display: absolute;
    top: 0;
    left: 0;
    border-radius: 10px;
}

.collection__card_container .content {
    position: absolute;
    bottom: 0;
    left: 0;
    padding: 10px 20px;
    color: white;
    font-size: 16px;
}

.collection__card_container .content h4 {
    font-weight: 400;

}

.popular {
    margin-top: 100px;
}

.popular #popular-span {
    font-size: 35px;
    font-weight: 300;


}

.popular #popular-span1 {
    font-size: 35px;
    font-weight: 600;
}

.popular .popular__items {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    flex-wrap: wrap;
    margin-top: 30px;
}

.popular .popular__items_card {
    border: 1px solid #e0e0e0;
    border-radius: 10px;
    padding: 12px;
    min-width: 30%;
    box-shadow: 0 1px #e0e0e0;
    position: relative;

}

.popular .popular__items_card:hover {
    box-shadow: 0 1px 5px #e0e0e0;
}

.popular .popular__items_heading {
    font-weight: 320;
}

.popular .popular__items_subheading {
    color: #434343;
    font-weight: 200;
}

.popular i {
    position: absolute;
    top: 40%;
    left: 90%;
    font-size: 10px;
}

.get-the-app {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    padding: 48px 48px;
    background-color: rgb(255, 251, 247);

}

.get-the-app .semicontainer {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 24px;
    width: 60%;

}

.get-the-app .semicontainer .left_semicontainer {
    flex: 2;


}

.get-the-app .semicontainer .left_semicontainer img {
    width: 100%;
    object-fit: cover;
}

.get-the-app .semicontainer .right_semicontainer {
    flex: 3;
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: 22px;
}

.right_semicontainer h1 {
    font-weight: 500;
    font-size: 32px;
}

.right_semicontainer p {
    font-size: 15px;
    font-weight: 300;
}

.radio_button_container {
    display: flex;
    gap: 48px;
    align-items: center;
}

.radio_button_container div {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 6px;

}

.radio_button_container input {
    accent-color: rgb(239, 79, 95);
    height: 18px;
    width: 18px;

}

.right_semicontainer .input_container {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
}

.right_semicontainer .input_container input,
.right_semicontainer .input_container button {
    padding: 10px 12px;
    border-radius: 5px;
    outline: none;
}

.right_semicontainer .input_container input {
    border: 1px solid rgb(209, 208, 208);
    flex: auto;
    font-size: 16px;
}

.right_semicontainer .input_container button {
    background-color: rgb(239, 79, 95);
    border: none;
    color: white;
    font-size: 16px;
    font-weight: 300;
    cursor: pointer;
}

.download_items {
    display: flex;
    gap: 16px;
    flex-direction: column;
}

.download_items h5 {
    color: gray;
    font-weight: 300;
}

.download_items div {
    display: flex;
    gap: 32px;
}

.download_items div img {
    width: 35%;
}
footer{
    padding-top:5rem;
  background-color:#f8f8f8;
}
.footer {
    width: 100%;

}

.footer_section1 {
    width: 80%;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    
}

.footer_section1 img {
    width: 130px;
    height: auto;
}

.section1__buttonContainer {
    display: flex;
    gap: 20px;
}

.section1__buttonContainer button {
    padding: 5px 10px;
    border: 1px solid rgb(183, 183, 183);
    background-color: transparent;
    border-radius: 5px;
    /* width:100px; */
    cursor: pointer;
    font-size: 16px;
    font-weight: 300;
}

.navigation_container {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-column-gap:1rem;
    width: 80%;
    margin:auto;
    padding:48px 0;
}
.footer__container{
    display: flex;
    flex-direction: column;
    gap:5px;
}
.footer__container h5{
    font-size: 15px;
    font-weight: 400;
    letter-spacing: 1.4px;
    margin-bottom: 5px;

}
.footer__links{
    text-decoration: none;
    color: gray;
    font-size: 14px;
    font-weight: 300;
    letter-spacing: 0.5px;
}
.footer__links:hover{
    color: black;
}
.social__links_container{
    display: flex;
    gap:0.5rem;
}
.social__links_container button{
   width:25px;
   height:25px;
    border:none;
    background-color: black;
    border-radius: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 15px;

}
.social__links_container button i{
    font-size:13px;
    color:white;
}
.footer__container img{
    width:65%;
    padding:3px;
}
 .disclamer {
    width: 80%;
    margin: auto;
    padding: 20px 0;
    font-size: 13px;
    color: gray;
    border-top: 1px solid rgb(179, 178, 178);
  }
@media (max-width:1300) {
    .get-the-app .left_semicontainer {
        flex: 1;

    }

    .get-the-app .right_semicontainer {
        flex: 1;
    }

    .get-the-app .semicontainer {
        width: 80%;
    }
}

@media (max-width:1160px) {
    .get-the-app {
        padding: 2rem;
    }

    .get-the-app .semicontainer {
        width: 90%;
    }
}

@media (max-width:900px) {
    .get-the-app {
        padding: 2rem;
    }

    .get-the-app .semicontainer {
        width: 90%;
    }
    .navigation_container{
        grid-template-columns: repeat(3,1fr);
        gap:20px;
    }
}

@media (max-width:700px) {
    .get-the-app {
        padding: 3rem 0;
    }

    .get-the-app .semicontainer {
        width: 80%;
        flex-direction: column;
    }
}

@media (max-width:600px) {
    .navbar--menu-container .link {
        display: none;
    }

    .user-icon {
        display: flex;

    }

    .user-icon i {
        color: rgb(212, 103, 103);
    }

    .navbar {
        padding: 16px;
    }

    .hero__section {
        min-height: 80vh;
    }

    .hero__section_input_container {
        flex-direction: column;
        background-color: transparent;
        width: 100%;
    }

    .hero__section_input_search,
    .hero__section_input_location {
        padding: 15px;
        border-radius: 10px;
        width: 99%;
    }

    .hero__section_input_location {
        border-right: none;
    }

    .hero__section_container {
        height: calc(80vh - 60px);
    }

    .popular .popular__items_card {
        min-width: 100%;
    }

    .get-the-app .semicontainer .right_semicontainer h1 {
        display: flex;
        justify-content: center;
    }

    .get-the-app .download_items h5 {
        display: flex;
        justify-content: center;
    }

    .get-the-app .download_items div {
        display: flex;
        justify-content: center;
    }
    .navigation_container{
        grid-template-columns: repeat(2,1fr);
    }

}
@media (max-width:450px){
    .popular #popular-span {
        font-size: 20px;
    
    
    }
    
    .popular #popular-span1 {
        font-size: 20px;
    }
    .navigation_container{
        grid-template-columns: repeat(1,1fr);
        gap:20px;
    }
    .footer_section1{
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap:20px;
    }
    .footer__container img{
        width:45%;
    }
}